Bug 449713 - frysk package is huge!
frysk package is huge!
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Cagney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 22:08 EDT by Jeremy Katz
Modified: 2008-06-04 11:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 11:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-06-02 22:08:57 EDT
The frysk package includes incredibly large core files as well as what looks
like a number of apps statically linked with the same set of libraries.  This
leads to an on-disk footprint that's only less than that of openoffice!
Comment 1 Phil Muldoon 2008-06-03 05:20:25 EDT
I'll answer the corefile comment. Yes there is, but remember that a corefile is
spares, so look at it via ls -lash and look at "real" size over "actual" size.
It is actually needed to test all of the corefile functions, via the testsuite.
Might move it to -devel instead?
Comment 2 Jeremy Katz 2008-06-03 10:49:00 EDT
The testsuite should get used at build time... it shouldn't really be needed to
be installed at runtime.  -devel maybe, but I wouldn't include it anywhere
outside of the src.rpm
Comment 3 Andrew Cagney 2008-06-04 11:50:32 EDT
This is a known upstream problem.

- the large executables, which are causing the large rpm size, will be fixed in
frysk 0.5 (it missed the cut for 0.4).

- the core files are (or should be) in the devel package and are used for
testing / development.  I posted a question about best practice for bundling
tests to fedora-devel@, the only reply was a technical how-to.

closing bug as upstream


Note You need to log in before you can comment on or make changes to this bug.